import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class Calcolatrice extends JApplet {
	private JButton piu, meno, per, div, ug, qu;
	private JTextField display;
	private String input1, input2;
	private double operando1, operando2, risultato;
	private Container panApplet=getContentPane();
	private JPanel panBot=new JPanel();
	private JPanel panCam=new JPanel();
	private int operazione; //indica quale operazione stiamo eseguendo
	private boolean stato=true; //se true, devo premere un op. dopo aver ins. un num.
	private RicPiu ricPiu=new RicPiu();
	private RicMeno ricMeno=new RicMeno();
	private RicPer ricPer=new RicPer();
	private RicDiv ricDiv=new RicDiv();
	private RicUg ricUg=new RicUg();
	private RicQu ricQu=new RicQu();
	
	public void init() {
	piu=new JButton("+");
	meno=new JButton("-");
	per=new JButton("*");
	div=new JButton(":");
	ug=new JButton("=");
	qu=new JButton("x al quadrato");
	display=new JTextField(20);
	display.setText("0");
	
	piu.addActionListener(ricPiu);
	meno.addActionListener(ricMeno);
	per.addActionListener(ricPer);
	div.addActionListener(ricDiv);
	ug.addActionListener(ricUg);
	qu.addActionListener(ricQu);
	
	piu.setBackground(Color.green);
	meno.setBackground(Color.cyan);
	per.setBackground(Color.cyan);
	div.setBackground(Color.green);
	ug.setBackground(Color.green);
	qu.setBackground(Color.blue);
	display.setBackground(Color.yellow);
	
	panApplet.setBackground(Color.black);
	panCam.setBackground(Color.magenta);
	panBot.setBackground(Color.red);
	
	panApplet.setLayout(new BorderLayout());
	panCam.setLayout(new FlowLayout());
	panBot.setLayout(new GridLayout(3,2));
	
	panApplet.add(panCam,BorderLayout.NORTH);
	panApplet.add(panBot,BorderLayout.CENTER);
	panCam.add(display);
	panBot.add(piu);
	panBot.add(meno);
	panBot.add(per);
	panBot.add(div);
	panBot.add(ug);
	panBot.add(qu);
	} //fine del metodo init
	
	class RicPiu implements ActionListener {
		public void actionPerformed(ActionEvent e) {
			if (stato==true) {
			input1=display.getText();
			operando1=Double.parseDouble(input1);
			operazione=1;
			stato=!stato;
		}
		} //fine del metodo actionPerformed
	} //fine della classe interna RicPiu
	
	class RicMeno implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		if (stato==true) {
			input1=display.getText();
			operando1=Double.parseDouble(input1);
			operazione=2;
			stato=!stato;
		}
		} //fine del metodo actionPerformed
	} //fine della classe interna RicMeno
	
	class RicPer implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		if (stato==true) {
			input1=display.getText();
			operando1=Double.parseDouble(input1);
			operazione=3;
			stato=!stato;
		}
		} //fine del metodo actionPerformed
	} //fine della classe interna RicPer
	
	class RicDiv implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		if (stato==true) {
			input1=display.getText();
			operando1=Double.parseDouble(input1);
			operazione=4;
			stato=!stato;
		}
		} //fine del metodo actionPerformed
	} //fine della classe interna RicDiv
	
	class RicUg implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		if (stato==false) {
			input2=display.getText();
			operando2=Double.parseDouble(input2);
			
			if (operazione==1) {
				risultato=operando1+operando2;
			}
			if (operazione==2) {
				risultato=operando1-operando2;
			}
			if (operazione==3) {
				risultato=operando1*operando2;
			}
			if (operazione==4) {
				risultato=operando1/operando2;
			}
			
			display.setText(""+risultato);
			operando1=0;
			operando2=0;
			operazione=0;
			stato=!stato;
		}
		} //fine del metodo actionPerformed
	} //fine della classe interna RicUg
	
	class RicQu implements ActionListener {
		public void actionPerformed(ActionEvent e) {
			String input=display.getText();
			double numero=Double.parseDouble(input);
			double quadrato=Math.pow(numero,2);
			display.setText(""+quadrato);
		} //fine del metodo actionPerformed
	} //fine della classe interna RicQu
} //fine della classe Calcolatrice
